# eric4.Helpviewer.QtHelpDocumentationDialog

Module implementing a dialog to manage the QtHelp documentation database.

### Global Attributes

None

### Classes

QtHelpDocumentationDialog | Class implementing a dialog to manage the QtHelp documentation database.

### Functions

None

## QtHelpDocumentationDialog

Class implementing a dialog to manage the QtHelp documentation database.

### Derived from

QDialog, Ui_QtHelpDocumentationDialog

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpDocumentationDialog | Constructor
getTabsToClose | Public method to get the list of tabs to close.
hasChanges | Public slot to test the dialog for changes.
on_addButton_clicked | Private slot to add documents to the help database.
on_documentsList_itemSelectionChanged | Private slot handling a change of the documents selection.
on_removeButton_clicked | Private slot to remove a document from the help database.

### Static Methods

None

#### QtHelpDocumentationDialog (Constructor)

QtHelpDocumentationDialog(engine, parent)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent widget (QWidget)

#### QtHelpDocumentationDialog.getTabsToClose

getTabsToClose()

Public method to get the list of tabs to close.

Returns:
  list of tab ids to be closed (list of integers)

#### QtHelpDocumentationDialog.hasChanges

hasChanges()

Public slot to test the dialog for changes.

Returns:
  flag indicating presence of changes

#### QtHelpDocumentationDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add documents to the help database.

#### QtHelpDocumentationDialog.on_documentsList_itemSelectionChanged

on_documentsList_itemSelectionChanged()

Private slot handling a change of the documents selection.

#### QtHelpDocumentationDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove a document from the help database.

Up